<div class="navbar-header pull-left">
    <a href="{{(app_globals.url_login is defined)?app_globals.url_login:path('after_login') }}" class="navbar-brand no-padding" style="padding: 5px 0 0 20px !important;">
        <div class="row">
            <img src="{{asset("bundles/coregui/app/images/logomspsmall.png")}}"/>
            <div class="pull-right" style="padding: 2px 8px !important;">
                {% if app_globals.app_id is defined  %}
                    <h6 class="no-padding no-margin-bottom no-margin-top">
                        {{ entidad.nombreoficial|title }}
                        {% if entidad.tipoestablecimientoId %}
                            ({{ entidad.tipoestablecimiento.descripcion|title }})
                        {% endif %}
                    </h6>
                {%else%}
                    <h6 class="no-padding no-margin-bottom no-margin-top">Ministerio de Salud Pública</h6>
                {%endif%}
                <h6 class="no-padding no-margin-bottom no-margin-top">{{ aplicacion }}</h6>
            </div>
        </div>
    </a>
</div>

{% if(app.environment=="test") %}
    <div class="navbar-header pull-left center" style="margin-left: 30px">
        <h4 class="badge-yellow" style="padding: 3px 2px 3px 8px;color: red; letter-spacing: 8px;font-weight: bold">AMBIENTE DE PRUEBAS</h4>
    </div>
{%  endif %}
<div class="navbar-header navbar-buttons pull-right" role="navigation">
    <ul class="nav ace-nav">
        <li>
            <img src="{{asset("bundles/coregui/app/images/logo_gobiernodetodos.png")}}" width="325"/>
        </li>

        {% if app_globals.app_id is defined  %}
            {{  include('CoreSeguridadBundle::aplicaciones.html.twig') }}
        {% else %}
            <li class="light-blue">
                <a href="javascript:;" style="cursor: text">
                    <i class="ace-icon fa fa-user"></i>
                </a>
            </li>
        {% endif %}
        <li class="light-blue dropdown-modal">
            <a data-toggle="dropdown" onclick="if(typeof jbox_app === 'object'){jbox_app.close({ignoreDelay: true});}" href="#" class="dropdown-toggle">
                {% if app_globals.app_id is defined  %}
                    <span class="user-info">
                        <small>{{persona.primernombre}} {{persona.apellidopaterno}}</small>
                        {% block navbar_buttons_content_username %}
                            <span title="{{perfilentidad.perfil.nombre}}">{{perfilentidad.perfil.nombre}}</span>
                        {% endblock navbar_buttons_content_username %}
                    </span>
                {% else %}
                    {{persona.primernombre}} {{persona.apellidopaterno}}
                {% endif %}
                <i class="ace-icon fa fa-caret-down"></i>
            </a>
            <ul class="user-menu dropdown-menu-right dropdown-menu dropdown-yellow dropdown-caret dropdown-close" style="width: 250px; padding: 15px;">
                {% if app_globals.app_id is defined  %}
                    <li>
                        <a id="showPerfiles" href="javascript:;">
                            <i class="ace-icon fa fa-user"></i>
                            Mis Perfiles
                        </a>
                    </li>
                {%endif%}
                <li>
                    <a id="cambiarPass" href="javascript:;">
                        <i class="ace-icon fa fa-key"></i>
                        Cambiar Contraseña
                    </a>
                </li>
                <li class="divider"></li>
                <li>
                    <a href="{{ path('core_seguridad_login_logout') }}">
                        <i class="ace-icon fa fa-power-off"></i>
                        Cerrar sesión
                    </a>
                </li>
            </ul>
        </li>
    </ul>
</div>

<script>
    $(function() {
        {% if app_globals.app_id is defined  %}
        $('#showPerfiles').on('click', function(){
            $.include_once('modalForm',function(){
                $('<div/>').modalForm({
                    autoOpen:true,
                    url: '{{ path('core_seguridad_default_perfiles') }}',
                    title: 'Mis Perfiles',
                    onSuccess: function () {
                        if(this.status){
                            window.location.replace('{{ path('after_login') }}');
                        }
                    }
                });
            });
        });
        {%endif%}
        $('#cambiarPass').on('click', function(){
            $.include_once('modalForm',function(){
                $('<div/>').modalForm({
                    autoOpen:true,
                    url: '{{ path('core_seguridad_default_change_pass') }}',
                    title: 'Cambiar Contraseña'
                });
            });
        });
    });
</script>
{%set strModPerfil=(app_globals.app_id is defined)?'modalPerfil_'~app_globals.app_id:'modalPerfil'%}
{% if app_globals.app_id is defined and app.session.get(strModPerfil) != 1 and perfiles > 1 %}
    <script>
        $(function() {
            $('#showPerfiles').trigger('click');
        });
    </script>
{% endif %}